import os

import pytest

from .utils import krb5ccname_ctx


@pytest.fixture(scope='module')
def cli_setup(app_process):
    # This tells the CLI entrypoint not to register additional zope services.
    os.environ['PYTEST'] = '1'

    # Running the client and the server in the same process would be very
    # messy because they would be sharing the same environment variables,
    # Kerberos cache, and registered utilities (via zope). So we're just
    # going to start the app in a child process intead.
    with krb5ccname_ctx('ctdalek'):
        yield
